Skip to main content
GET
/
integrations
/
github-container-registry
/
organization
/
{organizationId}
/
images
/
{packageName}
/
tags
List image tags from GitHub Container Registry
curl --request GET \
  --url https://api-eu.cybedefend.com/integrations/github-container-registry/organization/{organizationId}/images/{packageName}/tags \
  --header 'x-api-key: <api-key>'
{
  "packageName": "my-app",
  "tags": [
    {
      "id": 12345678,
      "name": "sha256:abc123...",
      "tags": [
        "latest",
        "v1.0.0"
      ],
      "digest": "sha256:abc123...",
      "createdAt": "2025-01-01T00:00:00Z",
      "updatedAt": "2025-01-15T00:00:00Z",
      "htmlUrl": "https://github.com/orgs/my-org/packages/container/my-app/12345678"
    }
  ],
  "totalCount": 5,
  "githubOwner": "my-org"
}

Authorizations

x-api-key
string
header
required

API Key for authentication. You can generate an API key from your personal settings.

Path Parameters

organizationId
string<uuid>
required

CybeDefend organization ID

Example:

"550e8400-e29b-41d4-a716-446655440000"

packageName
string
required

GitHub package name (e.g., my-app)

Query Parameters

pageSize
number
default:30

Number of results per page

Example:

25

page
number
default:1

Page number (1-based)

Example:

1

Response

List of tags for the image

packageName
string
required

Package name

Example:

"my-app"

tags
object[]
required

List of image tags/versions

totalCount
number
required

Total count of tags

Example:

5

githubOwner
string
required

GitHub owner used for the query

Example:

"my-org"